var ch,cmax:char;
  num:array['A'..'Z'] of  integer; {массив количества букв алфавита}
  k:integer;
begin
 for  ch:= 'A' to 'Z' do
   num[ch]:=0; {обнуляем массив}
 read(ch);
 while ch<>'#' do
   begin
    {Если текущий символ - буква}
     if  (upcase(ch)>= 'A') and (upcase(ch)<= 'Z') then
          inc(num[upcase(ch)]); {увеличиваем счетчик количества этой буквы}
          read(ch)
  end;
 k:=1; {счетчик количества  максимумов в массиве num}
 cmax:='A';
 for ch:= 'B' to 'Z' do {ищем максимумы в массиве num}
  if num[ch]>num[cmax] then
    begin
     cmax:=ch; {запоминаем текущую букву}
     k:=1       {количество таких максимумов  = 1}
    end
 else
   if num[ch]=num[cmax] then
    k:=k+1; {нашли еще один такой же максимум}
  if k=1 then {если максимум один}
     writeln(cmax)
  else
   for ch:= 'A' to 'Z' do
    if num[ch]=num[cmax] then {ищем все максимумы}
         write(ch, ' ');
   writeln(num[cmax])  {выводим, сколько раз
                        встречается буква (-ы)}
end.

